public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/knot/
Date: Wed, 30 Sep 2020 07:06:55 +0000 (UTC)	[thread overview]
Message-ID: <1601449604.24e1e45513353ec9bf054052b5e1b6b44c502253.juippis@gentoo> (raw)

commit:     24e1e45513353ec9bf054052b5e1b6b44c502253
Author:     Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Fri Sep  4 12:07:56 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Sep 30 07:06:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24e1e455

net-dns/knot: bump to 2.9.6

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Pierre-Olivier Mercier <nemunaire <AT> nemunai.re>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-dns/knot/Manifest          |   1 +
 net-dns/knot/knot-2.9.6.ebuild | 102 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/net-dns/knot/Manifest b/net-dns/knot/Manifest
index 04b8806234e..048bb98b0d4 100644
--- a/net-dns/knot/Manifest
+++ b/net-dns/knot/Manifest
@@ -1,2 +1,3 @@
 DIST knot-2.8.5.tar.xz 1209076 BLAKE2B 7454499745caa04a9454f023bed0ce6d8ccc54fc2c264aada72a842c39b056a91caee908eb1b036fe77b97d8cea4f03b9afcd084a69846a2632e717f7c3591fd SHA512 f45e62816ddc1f534e724d2fa71831100efc01b415ec2ea8301d02cf44d8f104a248deccdb706ebad6853404aee2a209c2bf51b07076aa69340af6812e5a79de
 DIST knot-2.9.5.tar.xz 1190872 BLAKE2B 4c60972676efb2e6cef5431ab688ffff9eeda4fe5f9a02bba10fbfced50c1edc9e15b9cea9e018428f3d075ab241128748fa1f777e6fc9de0dbdca1033c8d92a SHA512 6bfd6a720eb512983f934c3bf853ac310391805a102546ed18b3e805d10339837569e970e0e51f64e9d938bc362c8f9d01acb15ca4dca0a66dea9deb6b59cc73
+DIST knot-2.9.6.tar.xz 1188412 BLAKE2B 95b165bf37079fbda91cc8e81b8a4a5e662d53bf5efdf9a96cfd59646fe246f0c59e2438d42f9566dcf6dbe675400d450e131f66bfa88769b1c3fcf55b09d849 SHA512 95164a8ec913b3e3f01355d7f41f08caf6048c39317e63b2968e2bf8cf2ed08791ea0136b1e721add07f183b81a241ab2c2b8779c44368079d8eac082f49e368

diff --git a/net-dns/knot/knot-2.9.6.ebuild b/net-dns/knot/knot-2.9.6.ebuild
new file mode 100644
index 00000000000..2cc9e9753df
--- /dev/null
+++ b/net-dns/knot/knot-2.9.6.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd
+
+DESCRIPTION="High-performance authoritative-only DNS server"
+HOMEPAGE="https://www.knot-dns.cz/"
+SRC_URI="https://secure.nic.cz/files/knot-dns/${P/_/-}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+KNOT_MODULES=(
+	"+cookies"
+	"+dnsproxy"
+	"dnstap"
+	"geoip"
+	"+noudp"
+	"+onlinesign"
+	"+queryacl"
+	"+rrl"
+	"+stats"
+	"+synthrecord"
+	"+whoami"
+)
+IUSE="doc caps +fastparser idn +libidn2 systemd +utils ${KNOT_MODULES[@]}"
+
+RDEPEND="
+	acct-group/knot
+	acct-user/knot
+	dev-db/lmdb
+	dev-libs/libedit
+	dev-libs/userspace-rcu:=
+	dev-python/lmdb
+	net-libs/gnutls:=
+	caps? ( sys-libs/libcap-ng )
+	dnstap? (
+		dev-libs/fstrm
+		dev-libs/protobuf-c:=
+	)
+	geoip? ( dev-libs/libmaxminddb:= )
+	idn? (
+		!libidn2? ( net-dns/libidn:0= !net-dns/libidn2 )
+		libidn2? ( net-dns/libidn2:= )
+	)
+	systemd? ( sys-apps/systemd:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	doc? ( dev-python/sphinx )
+"
+
+S="${WORKDIR}/${P/_/-}"
+
+src_configure() {
+	local u
+	local my_conf=(
+		--with-storage="${EPREFIX}/var/lib/${PN}"
+		--with-rundir="${EPREFIX}/var/run/${PN}"
+		$(use_enable fastparser)
+		$(use_enable dnstap)
+		$(use_enable doc documentation)
+		$(use_enable utils utilities)
+		--enable-systemd=$(usex systemd)
+		$(use_with idn libidn)
+	)
+
+	for u in "${KNOT_MODULES[@]#+}"; do
+		my_conf+=("$(use_with ${u} module-${u})")
+	done
+
+	econf "${my_conf[@]}"
+}
+
+src_compile() {
+	default
+
+	use doc && emake -C doc html
+}
+
+src_test() {
+	emake check
+}
+
+src_install() {
+	use doc && local HTML_DOCS=( doc/_build/html/{*.html,*.js,_sources,_static} )
+
+	default
+
+	rmdir "${D}/var/run/${PN}" "${D}/var/run/" || die
+
+	newinitd "${FILESDIR}/knot.init" knot
+	if use systemd; then
+		systemd_newunit "${FILESDIR}/knot-1.service" knot.service
+	fi
+
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2020-09-30  7:07 UTC|newest]

Thread overview: 104+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-30  7:06 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-03  7:45 [gentoo-commits] repo/gentoo:master commit in: net-dns/knot/ Florian Schmaus
2023-08-03  7:45 Florian Schmaus
2023-05-01 13:36 Sam James
2023-04-29 15:48 Arthur Zamarin
2023-04-16 16:35 Arthur Zamarin
2022-12-11 18:33 Arthur Zamarin
2022-12-07 14:50 Sam James
2022-12-07 14:50 Sam James
2022-11-05  6:57 Yixun Lan
2022-11-01 17:59 Matthew Smith
2022-11-01 17:59 Matthew Smith
2022-10-16 11:11 Matthew Smith
2022-10-16 11:11 Matthew Smith
2022-09-11  8:41 Florian Schmaus
2022-08-24  9:28 Florian Schmaus
2022-08-13  7:59 Matthew Smith
2022-05-22 17:18 Florian Schmaus
2022-05-22 17:18 Florian Schmaus
2022-04-22 15:20 Agostino Sarubbo
2022-04-21  8:25 Jakov Smolić
2022-04-19 19:28 Florian Schmaus
2022-04-19 19:28 Florian Schmaus
2022-04-19 19:28 Florian Schmaus
2022-04-19 19:28 Florian Schmaus
2021-12-27 17:23 Florian Schmaus
2021-11-23  9:40 Florian Schmaus
2021-11-23  9:40 Florian Schmaus
2021-10-31  3:43 Sam James
2021-09-21  7:03 Joonas Niilola
2021-08-10 13:02 Florian Schmaus
2021-08-10 13:02 Florian Schmaus
2021-08-08 21:39 Marek Szuba
2021-07-14  6:25 Joonas Niilola
2021-06-08  7:39 Sam James
2021-02-05  4:34 Sam James
2021-02-05  4:34 Sam James
2020-12-29 21:15 Sam James
2020-11-13 23:51 Aaron Bauman
2020-11-13 23:51 Aaron Bauman
2020-10-17 14:04 Joonas Niilola
2020-10-17 14:04 Joonas Niilola
2020-10-08 10:02 Joonas Niilola
2020-09-30  7:06 Joonas Niilola
2020-06-10 15:54 Craig Andrews
2020-06-10 15:54 Craig Andrews
2020-03-08 12:58 Joonas Niilola
2020-01-07  6:20 Joonas Niilola
2020-01-07  6:20 Joonas Niilola
2019-12-18 16:32 Joonas Niilola
2019-11-26 14:59 Joonas Niilola
2019-10-13 16:55 Joonas Niilola
2019-10-13 16:55 Joonas Niilola
2019-10-07  5:20 Joonas Niilola
2019-10-07  5:20 Joonas Niilola
2019-09-01 11:19 Joonas Niilola
2019-06-06 17:36 Michał Górny
2019-06-06 17:36 Michał Górny
2019-04-27 14:24 Michał Górny
2019-04-19 14:09 Michał Górny
2019-04-19 14:09 Michał Górny
2018-12-04 21:20 Michał Górny
2018-10-26 18:57 Sven Wegener
2018-10-18 21:40 Patrice Clement
2018-09-08  8:26 Michał Górny
2018-09-08  8:26 Michał Górny
2018-07-13  7:42 Tony Vroon
2018-07-13  7:42 Tony Vroon
2018-06-07 11:36 Michał Górny
2018-04-22 19:21 Michał Górny
2018-04-22 19:21 Michał Górny
2018-02-18 17:16 Patrice Clement
2018-02-18 17:16 Patrice Clement
2018-01-06  0:01 Craig Andrews
2018-01-06  0:01 Craig Andrews
2017-11-28 16:19 Mikle Kolyada
2017-11-28 16:19 Mikle Kolyada
2017-11-17 18:47 David Seifert
2017-11-08 22:48 Patrice Clement
2017-11-08 22:48 Patrice Clement
2017-10-09 21:53 Patrice Clement
2017-10-09 21:53 Patrice Clement
2017-09-03 15:43 Andreas Sturmlechner
2017-08-22  9:07 Michał Górny
2017-08-22  9:07 Michał Górny
2017-08-22  9:07 Michał Górny
2017-08-22  9:07 Michał Górny
2017-08-01 21:32 Amy Liffey
2017-08-01 21:11 Amy Liffey
2017-08-01 17:10 Amy Liffey
2017-07-30  9:54 David Seifert
2017-07-30  9:54 David Seifert
2017-06-26  1:13 Jeroen Roovers
2017-06-26  1:13 Jeroen Roovers
2017-06-22 12:10 Tomas Chvatal
2017-06-12 21:46 Patrice Clement
2017-06-12 21:46 Patrice Clement
2017-06-12 21:46 Patrice Clement
2017-05-25 21:06 Patrice Clement
2017-02-27 11:12 Patrick Lauer
2016-12-29 13:14 David Seifert
2016-08-30 16:53 Patrice Clement
2016-03-02 13:32 Amy Winston
2016-02-08 10:25 Tomas Chvatal

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1601449604.24e1e45513353ec9bf054052b5e1b6b44c502253.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox